package com.sdi.wap.demo.site;
import com.sdi.wap.*;
import com.sdi.wap.demo.bean.*;
import com.sdi.wap.demo.field.*;
import java.io.*;
import java.security.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
/**
 * Converted from jsp file
 */
public class ViewAddress
	extends State
{
public ViewAddress () { super(); }
	
public void controller()
	throws Exception
{
	AccountBean thisAccount = (AccountBean)site.getAccount(this);
	AddressBean address = thisAccount.getAddress();

	Op op = (Op)getField("op", Op.Null);
	Street street = (Street)getField("street", address.getStreet());
	City city = (City)getField("city", address.getCity());
	USState state = (USState)getField("state", address.getState());
	Zipcode zipcode = (Zipcode)getField("zipcode", address.getZipcode());
	Phone phone = (Phone)getField("phone", address.getPhone());

	if ( op.isValid() && street.isValid() && city.isValid() &&
		state.isValid() && zipcode.isValid() && phone.isValid())
	{
		address.setAddress( street, city, state, zipcode, phone);
		address.save(thisAccount.getConnection());
		forward(DemoSite.Account);
	}
	else sendPage(htmlAddress( op, street, city, state, zipcode, phone));
}
private final String htmlRed(String s)
{
	Logger.debug("	htmlRed(" + s + ")");
	return "<font color=red>" + s + "</font>";
}
private final String htmlAddress
(
	Op op,
	Street street,
	City city,
	USState state,
	Zipcode zipcode,
	Phone phone
)
	throws Exception
{
	String msg = op.isValid() 
		? htmlRed("One or more incorrect entries are marked in red")
		: "Submit these changes";
	return "\n"+
"<h2 align=center>Address and Telephone</h2>\n"+
"<SCRIPT LANGUAGE=\"JavaScript1.1\" SRC=\"/sdi/js/FormChek.js\"></SCRIPT>\n"+
"<p>\n"+
""+ DemoSite.EditAddress.emitForm(this) +"\n"+
"<TABLE BORDER=\"0\" CELLPADDING=\"5\" CELLSPACING=\"5\">\n"+
"	<TR valign=top>\n"+
"		<TH valign=top>Address</TH>\n"+
"		<TD>\n"+
"			<input\n"+
"				name=street \n"+
"				size=32 \n"+
"				maxlength=32 \n"+
"				onChange=\"checkString(this, 'street', false)\" \n"+
"				value=\""+ street +"\"\n"+
"			>	Street "+ htmlFontRed(street.getMessage()) +"\n"+
"			<br>\n"+
"			<input \n"+
"				name=city \n"+
"				size=32 \n"+
"				maxlength=32 \n"+
"				onChange=\"checkString(this, 'city', false)\" \n"+
"				value=\""+ city +"\"\n"+
"			> City "+ htmlFontRed(city.getMessage()) +"\n"+
"			<br>\n"+
"			<input \n"+
"				name=state \n"+
"				size=2 \n"+
"				maxlength=2 \n"+
"				onChange=\"checkStateCode(this, false)\" value=\""+ state+"\"\n"+
"			> U.S. State "+ htmlFontRed(state.getMessage()) +"\n"+
"			<input \n"+
"				name=zipcode \n"+
"				size=10 \n"+
"				maxlength=10 \n"+
"				onChange=\"checkZIPCode(this, false)\" \n"+
"				value=\""+ zipcode +"\"\n"+
"			> Zipcode "+ htmlFontRed(zipcode.getMessage()) +"\n"+
"		</TD>\n"+
"	</TR>\n"+
"	<TR valign=top>\n"+
"		<TH valign=top>Phone</TH>\n"+
"		<TD>\n"+
"			<input \n"+
"				name=phone \n"+
"				size=32 \n"+
"				maxlength=32 \n"+
"				onChange=\"checkUSPhone(this, false)\" \n"+
"				value=\""+ phone +"\"\n"+
"			>10 digit US-style numbers, area code first.  "+ htmlFontRed(phone.getMessage()) +"\n"+
"		</TD>\n"+
"	</TR>\n"+
"	<tr valign=top>\n"+
"		<th><input \n"+
"			type=submit \n"+
"			name=op \n"+
"			value=\"OK\"\n"+
"		></th><td>"+ msg +"</td>\n"+
"	</tr>\n"+
"</table>\n"+
"</form>\n"+
"";
}
}
