package com.sdi.wap.demo.site;
import com.sdi.wap.*;
import com.sdi.wap.demo.bean.*;
import com.sdi.wap.demo.field.*;
import java.io.*;
import java.security.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
/**
 * Converted from jsp file
 */
public class ViewAddress
	extends State
{
public ViewAddress () { super(); }
	
public void controller()
	throws Exception
{
	AccountBean thisAccount = (AccountBean)site.getAccount(this);
	AddressBean address = thisAccount.getAddress();

	Op op = (Op)getField("op", Op.Null);
	Street street = (Street)getField("street", address.getStreet());
	City city = (City)getField("city", address.getCity());
	USState state = (USState)getField("state", address.getState());
	Zipcode zipcode = (Zipcode)getField("zipcode", address.getZipcode());
	Phone phone = (Phone)getField("phone", address.getPhone());

	if ( op.isValid() && street.isValid() && city.isValid() &&
		state.isValid() && zipcode.isValid() && phone.isValid())
	{
		address.setAddress( street, city, state, zipcode, phone);
		address.save(thisAccount.getConnection());
		forward(DemoSite.Account);
	}
	else sendPage(htmlAddress( op, street, city, state, zipcode, phone));
}
private final String htmlRed(String s)
{
	Logger.debug("	htmlRed(" + s + ")");
	return "<font color=red>" + s + "</font>";
}
private final String htmlAddress
(
	Op op,
	Street street,
	City city,
	USState state,
	Zipcode zipcode,
	Phone phone
)
	throws Exception
{
	String msg = op.isValid() 
		? htmlRed("One or more incorrect entries are marked in red")
		: "Submit these changes";
	return {{
<h2 align=center>Address and Telephone</h2>
<SCRIPT LANGUAGE="JavaScript1.1" SRC="/sdi/js/FormChek.js"></SCRIPT>
<p>
{{ DemoSite.EditAddress.emitForm(this) }}
<TABLE BORDER="0" CELLPADDING="5" CELLSPACING="5">
	<TR valign=top>
		<TH valign=top>Address</TH>
		<TD>
			<input
				name=street 
				size=32 
				maxlength=32 
				onChange="checkString(this, 'street', false)" 
				value="{{ street }}"
			>	Street {{ htmlFontRed(street.getMessage()) }}
			<br>
			<input 
				name=city 
				size=32 
				maxlength=32 
				onChange="checkString(this, 'city', false)" 
				value="{{ city }}"
			> City {{ htmlFontRed(city.getMessage()) }}
			<br>
			<input 
				name=state 
				size=2 
				maxlength=2 
				onChange="checkStateCode(this, false)" value="{{ state}}"
			> U.S. State {{ htmlFontRed(state.getMessage()) }}
			<input 
				name=zipcode 
				size=10 
				maxlength=10 
				onChange="checkZIPCode(this, false)" 
				value="{{ zipcode }}"
			> Zipcode {{ htmlFontRed(zipcode.getMessage()) }}
		</TD>
	</TR>
	<TR valign=top>
		<TH valign=top>Phone</TH>
		<TD>
			<input 
				name=phone 
				size=32 
				maxlength=32 
				onChange="checkUSPhone(this, false)" 
				value="{{ phone }}"
			>10 digit US-style numbers, area code first.  {{ htmlFontRed(phone.getMessage()) }}
		</TD>
	</TR>
	<tr valign=top>
		<th><input 
			type=submit 
			name=op 
			value="OK"
		></th><td>{{ msg }}</td>
	</tr>
</table>
</form>
}};
}
}
