package com.sdi.wap.demo.site;
import com.sdi.wap.*;
import com.sdi.wap.demo.bean.*;
import com.sdi.wap.demo.field.*;
import java.io.*;
import java.sql.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ViewLogin
	extends State
{
public ViewLogin () { super(); }
	
public final void controller()
	throws Exception
{
	try
	{
		AccountBean thisAccount = (AccountBean)site.getAccount(this);
		redirect(DemoSite.Account);
		return; // should not happen
	}
	catch (SessionExpiredException e)
	{
		// fall thru
	}
	Op op = (Op)getField("op", Op.Null);
	Identifier identifier = (Identifier)getField("identifier", Identifier.Null);

	if ( op.isValid() && identifier.isValid())
	{
		try
		{
			Connection connection = ConnectionPool.getConnection();
			AccountBean account = AccountBean.load(connection, identifier);
			site.setAccount(account, this);
			redirect(DemoSite.Account);
		}
		catch (Exception e) // too broad: fixme
		{
			e.printStackTrace();
			identifier.setValid(false, "This identifier was not found");
			sendPage(viewLogin(identifier));
		}
	}
	else sendPage(viewLogin(identifier));
}
private final String viewLogin( Identifier identifier)
	throws Exception
{
	String message = "Click here to proceed";
	return {{
<h2 align=center>Login Page</h2>
<p>This demonstration uses the email address you gave when you registered 
as the account identifier and does not support passwords.
{{ DemoSite.Login.emitForm(this) }}
	<input
		name=identifier
		size=14
		type=text
		value="{{identifier}}"
	> Account Identifier {{ htmlFontRed(identifier.getMessage()) }}
	<br><input
		type=submit
		name="op"
		value="Login"
	> {{ message }}
</FORM>

{{ DemoSite.Register.emitForm(this) }}
	<input
		name="op"
		type=submit
		value="Register"
	>If you haven't registered a name and email address yet, begin here.
</form>

}};
}
}
