package com.sdi.wap.demo.site;
import com.sdi.wap.*;
import com.sdi.wap.demo.bean.*;
import com.sdi.wap.demo.field.*;
import com.sdi.wap.demo.site.*;
import java.io.*;
/**
 * Converted from jsp file
 */
public class ViewRegistration
	extends State
{
public ViewRegistration() { super(); }

public final void controller()
	throws Exception
{
	Op op = (Op)getField("op", Op.Null);
	Name name = (Name)(getField("name", Name.Null));
	Email email = (Email) (getField("email", Email.Null));

	if ( op.isValid() && name.isValid() && email.isValid() ) 
	{
		AccountBean newAccount = AccountBean.defineAccount(name, email);
		getSession().invalidate();
		sendPage(viewCongrads(newAccount));
	} 
	else sendPage(viewRegistration( op, name, email));
}
private final String viewRegistration(
	Op op,
	Name name,
	Email email
)
{
	String msg = !op.equals("OK")
		? "Submit this information"
		: htmlFontRed("Correct the fields marked in red and try again");
	return {{
<H2 align=center>Account Registration</h2>
{{ DemoSite.Register.emitForm(this) }}

<TABLE BORDER="0" CELLPADDING="5" CELLSPACING="5">
<TR valign=top>
	<TH align=right valign=top>Name </TH>
	<TD><input 
			name="name" 
			value="{{ name }}"
			size=32 
			maxlength=32 
		> Your name, first name first.
		{{ htmlFontRed(name.getMessage()) }}
	</TD>
</TR>
<TR valign=top>
	<TH align=right valign=top>Email Address</TH>
	<TD><input 
			name=email 
			value="{{ email }}"
			size=32 
		> Your email address; e.g. user@host.dom
		{{ htmlFontRed(email.getMessage()) }}
	</td>
</TR>
<tr>
	<th valign=top align=right><input 
		name=op 
		value="OK"
		type=submit 
	></th>
	<td>{{ msg }}</td>
</tr>
</table>
</form>
}};
}
private final String viewCongrads( AccountBean newAccount)
{
	return {{
<h2 align=center>Congratulations</h2>
<p>Your account identifier is the email address you provided.

<h4 align=center>Your account identifier is {{ newAccount.getAccountID() }}</h4>

<p>To login, click the MyAccount link in the navigation bar at top of this screen 
and type your account identifier in the box you'll find there.
}};
}
}
